#
# spec file for package libcppunit-1_12-0 (Version 1.12.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           libcppunit-1_12-0
Provides:       cppunit = 1.10.2
Obsoletes:      cppunit <= 1.10.2
BuildRequires:  doxygen gcc-c++ pkgconfig update-desktop-files
URL:            http://sourceforge.net/projects/cppunit/
License:        LGPL v2 or later
Group:          Development/Libraries/C and C++
Summary:        C++ Port of the JUnit Testing Framework
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        1.12.0
Release:        2.2
Source:         cppunit-%{version}.tar.bz2
Source1:        cppunit-devel.desktop
Patch:          cppunit.diff
Patch1:         cppunit-%{version}-quotefix.diff
Autoreqprov:    on

%description
CppUnit is the C++ port of the famous JUnit framework for unit testing.
Test output is in XML for automatic testing and GUI based for
supervised t ests.



Authors:
--------
    Michael Feathers <mfeathers@objectmentor.com>
    Jerome Lacoste <lacostej@altern.org>
    E. Sommerlade <eric@sommerla.de>
    J.E. Hoffmann <je-h@gmx.net>
    Baptiste Lepilleur <gaiacrtn@free.fr> <blep@sourceforge.net>
    Bastiaan Bakker <bastiaan.bakker@lifeline.nl>
    Steve Robbins <smr99@sourceforge.net>

%package -n libcppunit-devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Provides:       cppunit-devel = 1.10.2
Obsoletes:      cppunit-devel <= 1.10.2

%description -n libcppunit-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Michael Feathers <mfeathers@objectmentor.com>
    Jerome Lacoste <lacostej@altern.org>
    E. Sommerlade <eric@sommerla.de>
    J.E. Hoffmann <je-h@gmx.net>
    Baptiste Lepilleur <gaiacrtn@free.fr> <blep@sourceforge.net>
    Bastiaan Bakker <bastiaan.bakker@lifeline.nl>
    Steve Robbins <smr99@sourceforge.net>

%prep
%setup -q -n cppunit-%version
%patch
%patch1
libtoolize --force
aclocal -I config
autoheader
automake -a
autoconf

%build
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure          \
   --prefix=/usr/    \
   --libdir=%_libdir \
   --mandir=%_mandir \
   --enable-doxygen

%install
make DESTDIR=$RPM_BUILD_ROOT install
# this got also installed to %_defaultdocdir
rm -rf $RPM_BUILD_ROOT/usr/share/cppunit/html/
find $RPM_BUILD_ROOT/usr/include -type f | xargs chmod a-x
# install susehelp file
mkdir -p $RPM_BUILD_ROOT/usr/share/susehelp/meta/Development/Libraries/
install %SOURCE1 $RPM_BUILD_ROOT/usr/share/susehelp/meta/Development/Libraries/
%suse_update_desktop_file $RPM_BUILD_ROOT/usr/share/susehelp/meta/Development/Libraries/cppunit-devel.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING 
%_libdir/libcppunit*.so.*
/usr/share/cppunit

%files -n libcppunit-devel
%defattr(-,root,root,755)
%doc NEWS README THANKS ChangeLog
/usr/bin/DllPlugInTester
/usr/bin/cppunit-config
%_libdir/libcppunit*.so
%_libdir/libcppunit*a
%_libdir/pkgconfig/cppunit.pc
/usr/share/susehelp
/usr/include/*
%_mandir/*/*
/usr/share/aclocal/cppunit.m4
%doc doc/html/*

%changelog
* Sun Jul 15 2007 aj@suse.de
- Use libcppunit-devel to follow lib package name scheme
* Wed Jul  4 2007 adrian@suse.de
- update to version 0.12.0
  - minor bugfixes
  - now generated with doxygen 1.4.7 new 'tabs' style.
- rename package to follow lib package name scheme
* Sun Apr 22 2007 dmueller@suse.de
- don't install devel files as executable
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Aug 12 2005 dmueller@suse.de
- actually apply the quoting patch
* Tue Dec  7 2004 pth@suse.de
- Fix quoting in AC_DEFUN
* Tue Nov 16 2004 adrian@suse.de
- do not package debug dir
- translate suse help desktop file
* Thu Aug 12 2004 ro@suse.de
- added libpng to neededforbuild (for doxygen)
* Mon Jul 26 2004 adrian@suse.de
- remove unneeded /usr/bin/simple to solve conflicts
* Mon Jun 21 2004 adrian@suse.de
- update to version 1.10.2
- add susehelp desktop file
* Sat Mar 20 2004 adrian@suse.de
- remove executable permissions of header files (#36337)
* Tue Jul 29 2003 adrian@suse.de
- initial package of version 1.8.0
